
## General ##

* Re-implement draw tool
* Re-implement WorkArea class to use OpenGL
* Migrate toward extensible plug-in architecture
* Migrate toward scripted architecture
* Ability for "Auto Recover" feature to recover history
* Ability to edit curves in the curves tab.
* Subversion integration
* Integrated error console tab
* Clean up crazy confusing console output

## Wishful Thinking ##

* Visual conflict resolution for version control merging conflicts

## Long Term ##

* Make majority of user-interface components controlled by scripts
